petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSSetExactFinalTime

Determines whether to adapt the final time step to match the exact final time, interpolate solution to the exact final time, or just return at the final time TS computed.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetExactFinalTime(TS ts,TSExactFinalTimeOption eftopt)

Logically Collective on TS Many br

### Input Parameter

| ts | - the time-step context Many br
| eftopt | - exact final time option Many br

     TS_EXACTFINALTIME_STEPOVER    - Don't do anything if final time is exceeded

     TS_EXACTFINALTIME_INTERPOLATE - Interpolate back to final time

     TS_EXACTFINALTIME_MATCHSTEP - Adapt final time step to match the final time

### Options Database

-ts_exact_final_time <stepover,interpolate,matchstep> -select the final step at runtime Many br

Warning: If you use the option TS_EXACTFINALTIME_STEPOVER the solution may be at a very different time Many brthen the final time you selected. Many br

Many br

### See Also

TSExactFinalTimeOption

Level:beginner
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex1.c.html
src/ts/examples/tutorials/ex2.c.html
src/ts/examples/tutorials/ex3.c.html
src/ts/examples/tutorials/ex4.c.html
src/ts/examples/tutorials/ex5.c.html
src/ts/examples/tutorials/ex6.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex8.c.html
src/ts/examples/tutorials/ex9.c.html
src/ts/examples/tutorials/ex10.c.html
src/ts/examples/tutorials/ex11.c.html